diff --git a/contrib/pgcrypto/crypt-des.c b/contrib/pgcrypto/crypt-des.c
index ed07fc4606..6efaa609c9 100644
--- a/contrib/pgcrypto/crypt-des.c
+++ b/contrib/pgcrypto/crypt-des.c
@@ -11,7 +11,7 @@
  *	binaries of libcrypt exportable from the USA
  *
  * Adapted for FreeBSD-4.0 by Mark R V Murray
- *	this file should now *only* export crypt_des(), in order to make
+ *	this file should now *only* export px_crypt_des(), in order to make
  *	a module that can be optionally included in libcrypt.
  *
  * Redistribution and use in source and binary forms, with or without
diff --git a/doc/src/sgml/diskusage.sgml b/doc/src/sgml/diskusage.sgml
index 3708e5f3d8..e6f0b307ec 100644
--- a/doc/src/sgml/diskusage.sgml
+++ b/doc/src/sgml/diskusage.sgml
@@ -89,7 +89,7 @@ ORDER BY c2.relname;
 
        relname        | relpages
 ----------------------+----------
- customer_id_indexdex |       26
+ customer_id_index    |       26
 </programlisting>
   </para>
 
diff --git a/src/backend/optimizer/path/equivclass.c b/src/backend/optimizer/path/equivclass.c
index b50e9ccdf1..05bd3750e5 100644
--- a/src/backend/optimizer/path/equivclass.c
+++ b/src/backend/optimizer/path/equivclass.c
@@ -929,7 +929,7 @@ generate_base_implied_equalities_no_const(PlannerInfo *root,
 	/*
 	 * We scan the EC members once and track the last-seen member for each
 	 * base relation.  When we see another member of the same base relation,
-	 * we generate "prev_mem = cur_mem".  This results in the minimum number
+	 * we generate "prev_em = cur_em".  This results in the minimum number
 	 * of derived clauses, but it's possible that it will fail when a
 	 * different ordering would succeed.  XXX FIXME: use a UNION-FIND
 	 * algorithm similar to the way we build merged ECs.  (Use a list-of-lists
diff --git a/src/backend/parser/analyze.c b/src/backend/parser/analyze.c
index b13c246183..345a8e6197 100644
--- a/src/backend/parser/analyze.c
+++ b/src/backend/parser/analyze.c
@@ -2082,7 +2082,7 @@ transformSetOperationTree(ParseState *pstate, SelectStmt *stmt,
 			 * Select common collation.  A common collation is required for
 			 * all set operators except UNION ALL; see SQL:2008 7.13 <query
 			 * expression> Syntax Rule 15c.  (If we fail to identify a common
-			 * collation for a UNION ALL column, the curCollations element
+			 * collation for a UNION ALL column, the colCollations element
 			 * will be set to InvalidOid, which may result in a runtime error
 			 * if something at a higher query level wants to use the column's
 			 * collation.)
diff --git a/src/backend/replication/logical/logical.c b/src/backend/replication/logical/logical.c
index bbd38c06d1..9853be6d1c 100644
--- a/src/backend/replication/logical/logical.c
+++ b/src/backend/replication/logical/logical.c
@@ -114,7 +114,7 @@ CheckLogicalDecodingRequirements(void)
 }
 
 /*
- * Helper function for CreateInitialDecodingContext() and
+ * Helper function for CreateInitDecodingContext() and
  * CreateDecodingContext() performing common tasks.
  */
 static LogicalDecodingContext *
diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index 55c306e465..33fb0a4865 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -1334,7 +1334,7 @@ SaveSlotToPath(ReplicationSlot *slot, const char *dir, int elevel)
 		return;
 	}
 
-	/* Check CreateSlot() for the reasoning of using a crit. section. */
+	/* Check CreateSlotOnDisk() for the reasoning of using a crit. section. */
 	START_CRIT_SECTION();
 
 	fsync_fname(path, false);
diff --git a/src/include/commands/event_trigger.h b/src/include/commands/event_trigger.h
index fd977e7735..575e9243e5 100644
--- a/src/include/commands/event_trigger.h
+++ b/src/include/commands/event_trigger.h
@@ -40,7 +40,7 @@ typedef struct EventTriggerData
 	((fcinfo)->context != NULL && IsA((fcinfo)->context, EventTriggerData))
 
 extern Oid	CreateEventTrigger(CreateEventTrigStmt *stmt);
-extern void RemoveEventTriggerById(Oid ctrigOid);
+extern void RemoveEventTriggerById(Oid trigOid);
 extern Oid	get_event_trigger_oid(const char *trigname, bool missing_ok);
 
 extern Oid	AlterEventTrigger(AlterEventTrigStmt *stmt);
diff --git a/src/include/executor/nodeCustom.h b/src/include/executor/nodeCustom.h
index 2c9cb95d82..2829be5d01 100644
--- a/src/include/executor/nodeCustom.h
+++ b/src/include/executor/nodeCustom.h
@@ -18,7 +18,7 @@
 /*
  * General executor code
  */
-extern CustomScanState *ExecInitCustomScan(CustomScan *custom_scan,
+extern CustomScanState *ExecInitCustomScan(CustomScan *cscan,
 										   EState *estate, int eflags);
 extern void ExecEndCustomScan(CustomScanState *node);
 
diff --git a/src/include/optimizer/pathnode.h b/src/include/optimizer/pathnode.h
index e70d6a3f18..182ffeef4b 100644
--- a/src/include/optimizer/pathnode.h
+++ b/src/include/optimizer/pathnode.h
@@ -96,8 +96,6 @@ extern SubqueryScanPath *create_subqueryscan_path(PlannerInfo *root,
 												  List *pathkeys, Relids required_outer);
 extern Path *create_functionscan_path(PlannerInfo *root, RelOptInfo *rel,
 									  List *pathkeys, Relids required_outer);
-extern Path *create_tablexprscan_path(PlannerInfo *root, RelOptInfo *rel,
-									  List *pathkeys, Relids required_outer);
 extern Path *create_valuesscan_path(PlannerInfo *root, RelOptInfo *rel,
 									Relids required_outer);
 extern Path *create_tablefuncscan_path(PlannerInfo *root, RelOptInfo *rel,
